/fal-ai/veo3/fast/image-to-video
Official document address: https://fal.ai/models/fal-ai/veo3/fast/image-to-video
POST
/fal-ai/veo3/fast/image-to-videoBody Parametersapplication/json
aspect_ratio string
Default aspect ratio for generated videos: "auto"
duration string
Duration of generated video (in seconds) Default value: "8s"
generate_audio boolean
Whether to generate audio for the video. If false, points will be reduced by %33. Default value: true
image_url* string
The URL of the input image to animate. The aspect ratio should be 720p or higher, with an aspect ratio of 16:9. If the image's aspect ratio is not 16:9, it will be cropped to fit.
prompt* string
A text tip describing how the image should be animated
resolution string
Default resolution of generated video: "720p" Range value [720p, 1080p]
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"aspect_ratio": "16:9",
3"duration": "8s",
4"generate_audio": true,
5"image_url": "https://storage.googleapis.com/falserverless/example_inputs/veo3-i2v-input.png",
6"prompt": "A woman looks into the camera, breathes in, then exclaims energetically, \"have you guys checked out Veo3 Image-to-Video on Fal? It's incredible!\"",
7"resolution": "720p"
8}
1curl -X POST "https://api.digislash.com/fal-ai/veo3/fast/image-to-video" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "16:9",
6"duration": "8s",
7"generate_audio": true,
8"image_url": "https://storage.googleapis.com/falserverless/example_inputs/veo3-i2v-input.png",
9"prompt": "A woman looks into the camera, breathes in, then exclaims energetically, \"have you guys checked out Veo3 Image-to-Video on Fal? It's incredible!\"",
10"resolution": "720p"
11}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/veo3/requests/1b24b3ae-16a2-4d19-b10d-1e323ebff061/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "1b24b3ae-16a2-4d19-b10d-1e323ebff061",
7"response_url": "https://queue.fal.run/fal-ai/veo3/requests/1b24b3ae-16a2-4d19-b10d-1e323ebff061",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/veo3/requests/1b24b3ae-16a2-4d19-b10d-1e323ebff061/status"
10}
